RPM Support - Issue #1045

incremental publish does not remove old updateinfo.xml
06/10/2015 04:56 PM - bcourt

Status: CLOSED - DUPLICATE Start date:

Priority: Low Due date:

Assignee: Estimated time: 0:00 hour
Category:

Sprint/Milestone:

Severity: 2. Medium Groomed: No
Version: Sprint Candidate: No
Platform Release: Tags: Pulp 2
0OS: Sprint:

Triaged: Yes Quarter:

Description

When an incremental publish is performed the old updateinfo.xml is not removed if a checksum is specified. Each publish adds a
new updateinfo, which has a different checksum.

After each publish there should be only one updateinfo.xml in the repodata directory.

Related issues:
Is duplicate of RPM Support - Issue #2096: Additional updateinfo.xml after se... CLOSED - CURRENTRELEASE

History

#1 - 06/12/2015 04:51 PM - mhrivnak
- Priority changed from Normal to Low

- Triaged changed from No to Yes

#2 - 01/11/2016 11:30 PM - bmbouter

- Description updated

Perhaps other metadata files could leave vestiges also, the fixer should verify that an incremental publishes which must republish all files in repodata
properly removes the old ones.

#4 - 08/03/2016 04:17 PM - bmbouter
- Status changed from NEW to CLOSED - DUPLICATE

Closing this as a duplicate. It was the first report of it, but the other one has a full reproducer.

#5 - 08/03/2016 04:18 PM - bmbouter
- Is duplicate of Issue #2096: Additional updateinfo.xml after second publish added

#6 - 04/15/2019 10:47 PM - bmbouter
- Tags Pulp 2 added
